# Uses of Interface
org.eclipse.ui.IPageService

Packages that use IPageService
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed
org.eclipse.ui.internal

## Uses of IPageService in org.eclipse.ui

Subinterfaces of IPageService in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IWorkbenchWindow`
A workbench window is a top level window in a workbench.

## Uses of IPageService in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed with type parameters of type IPageService
Modifier and Type
Method
Description
`static <S extends IPageService>
IValueProperty<S,IWorkbenchPage>`
WorkbenchProperties.`activePage()`
Returns a property for observing the active page of a workbench window.

## Uses of IPageService in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IPageService
Modifier and Type
Class
Description
`class`
`SlavePageService`
`class`
`WorkbenchWindow`
A window within the workbench.
Constructors in org.eclipse.ui.internal with parameters of type IPageService
Modifier
Constructor
Description
``
`SlavePageService(IPageService parent)`